info.bioinfweb.jphyloio.events

## Class ContinuedEvent

- java.lang.Object
- - info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent
  - - info.bioinfweb.jphyloio.events.ContinuedEvent

- All Implemented Interfaces:
    JPhyloIOEvent
  Direct Known Subclasses:
    CommentEvent, LiteralMetadataContentEvent

      public abstract class ContinuedEvent
      extends ConcreteJPhyloIOEvent

  Base class for events that have a content that may be split across separate subsequent events, if it is large. It implements a property indicating whether the content of the current event is complete or will be continued in a directly following event.

  This class differs from `PartEndEvent`, which terminates part of a larger event sequence and can be directly instantiated.

  Since:
    0.0.0
  Author:
    Ben Stöver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContinuedEvent(EventContentType contentType, boolean continuedInNextEvent)` Returns a new instance of this class with the topology type `EventTopologyType.SOLE`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isContinuedInNextEvent()` Returns whether this event only contains a part of a long text (e.g.

    - ### Methods inherited from class info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent

      `asCharacterDefinitionEvent, asCharacterSetIntervalEvent, asCommentEvent, asEdgeEvent, asLabeledIDEvent, asLinkedLabeledIDEvent, asLiteralMetadataContentEvent, asLiteralMetadataEvent, asNodeEvent, asPartEndEvent, asResourceMetadataEvent, asSequenceTokensEvent, asSetElementEvent, asSingleSequenceTokenEvent, asSingleTokenDefinitionEvent, asTokenSetDefinitionEvent, asUnknownCommandEvent, createEndEvent, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContinuedEvent

          public ContinuedEvent(EventContentType contentType,
                                boolean continuedInNextEvent)

      Returns a new instance of this class with the topology type `EventTopologyType.SOLE`.
      Parameters:
        `contentType` - the content type of the new instance
        `continuedInNextEvent` - Specify `true` here if this event does not contain the final part of its value and more events are ahead or `false otherwise`.

  - ### Method Detail

    - #### isContinuedInNextEvent

          public boolean isContinuedInNextEvent()

      Returns whether this event only contains a part of a long text (e.g. comment) and the next event(s) will contain additional characters from the current text. (The final event of a split comment returns `true` here.)
      Returns:
        `false` if this event includes the final characters of the current text or `true` if future events will contain the remaining characters from the current text